%define upstream_name Bio-FeatureIO
%define upstream_version 1.6.905

%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Handler for FeatureIO
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Bio::Root::Test)

BuildArch:	noarch

%description
Bio::FeatureIO is a BioPerl-based parser for feature data from common
biological sequence formats, such as GFF3, GTF, and BED.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.md
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.6.905-3.mga6
+ Revision: 1022724
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.6.905-2.mga6
+ Revision: 950848
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 sander85 <sander85> 1.6.905-1.mga5
+ Revision: 798899
- imported package perl-Bio-FeatureIO

